package intrinsic.mx.managers;

public class LayoutManager extends intrinsic.flash.events.EventDispatcher implements intrinsic.mx.managers.ILayoutManager {

	/** Accessors */
	public boolean usePhasedInstantiation;

	/** Variables */

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public LayoutManager() {
}


/** Static Methods */
public static native intrinsic.mx.managers.LayoutManager getInstance();

/** Methods */
public native void invalidateSize(intrinsic.mx.managers.ILayoutManagerClient arg0);
public native void validateNow();
public native void invalidateDisplayList(intrinsic.mx.managers.ILayoutManagerClient arg0);
public native void invalidateProperties(intrinsic.mx.managers.ILayoutManagerClient arg0);
public native void validateClient(intrinsic.mx.managers.ILayoutManagerClient arg0);
public native void validateClient(intrinsic.mx.managers.ILayoutManagerClient arg0, boolean arg1);
public native boolean isInvalid();

}
